com.google.cloud.dataflow.sdk.options

## Interface ApplicationNameOptions

All Superinterfaces:
  HasDisplayData, PipelineOptions

All Known Subinterfaces:
  BigQueryOptions, BlockingDataflowPipelineOptions, DataflowPipelineOptions, DataflowWorkerHarnessOptions, DirectPipelineOptions, GcsOptions, InProcessPipelineOptions, StreamingOptions, TestDataflowPipelineOptions

    public interface ApplicationNameOptions
    extends PipelineOptions

Options that allow setting the application name.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAppName()` Name of application, for display purposes.
`void` `setAppName(String value)`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Method Detail

#### getAppName

    String getAppName()

Name of application, for display purposes.

Defaults to the name of the class that constructs the `PipelineOptions` via the `PipelineOptionsFactory`.

#### setAppName

    void setAppName(String value)